<?php


namespace Venom\Helper;


use Venom\Core\ArgumentHandler;

class ErrorHandler
{


    public static function setFatalError(): void
    {
        self::setError(500);
    }

    public static function setNotFound(): void
    {
        self::setError(404);
    }

    public static function setNoContent(): void
    {
        self::setError(204);
    }

    public static function setError(int $errorCode): void
    {
        http_response_code($errorCode);
        ArgumentHandler::get()->setItem('cl', 'error');
        ArgumentHandler::get()->setItem('fnc', 'handleError');
        ArgumentHandler::get()->setItem('errorCode', $errorCode);
    }
}